<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>HTML Tables and Forms</title>
  </head>

  <body>
    <header>
      <h1>Zuitt IT Solutions</h1>
    </header>

    <main>
      <h2>Products Offered</h2>

      <section>
        <table border="1">
          <thead>
            <tr>
              <th>Package</th>
              <th>Price</th>
              <th>Description</th>
            </tr>
          </thead>

          <tbody>
            <tr>
              <!-- Definies a table data element -->
              <td>Basic</td>
              <td>&#8369; 500.00</td>
              <td>
                Package includes a full functional website with desired
                specifications.
              </td>
            </tr>
            <tr>
              <!-- Definies a table data element -->
              <td>Premium</td>
              <td>&#8369; 1000.00</td>
              <td>
                Enjoy all the benefits of the basic package and also includes
                site support and maintenance.
              </td>
            </tr>
          </tbody>
          <tfoot>
            <tr>
              <th colspan="3">
                <b
                  >Additional features after initial project is inclusive of
                  charges</b
                >
              </th>
            </tr>
          </tfoot>
        </table>
      </section>

      <br />
      <hr />

      <section>
        <h2>Contact Form</h2>

        <!-- Creates an HTML form to capture user input -->
        <!-- "action" attribute is used to define where the information will be sent upon submission. -->
        <form action="https://www.google.com/">
          <!-- "for" is to pair label and input field -->
          <label for="first_name">First Name:</label>
          <br />

          <input
            type="text"
            name="first_name"
            id="first_name"
            required
            autocomplete="on"
          />
          <br />

          <label for="last_name">Last Name:</label>
          <br />

          <input
            type="text"
            name="last_name"
            id="last_name"
            required
            autocomplete="on"
          />
          <br />

          <label for="email">Email:</label>
          <br />

          <input
            type="text"
            name="email"
            id="email"
            required
            autocomplete="on"
          />
          <br />

          <label for="contact">Contact Number:</label>
          <br />
          <input type="number" name="contact" id="contact" required />
          <br />

          <label for="service">Service Type:</label>
          <br />

          <!-- Creates a dropdown -->
          <select name="service" id="service" required>
            <option value="" disabled></option>
            <option value="front_end" selected>Front End Programming</option>
            <option value="backend">Backend Programming</option>
            <option value="full_stack">Full Stack Programming</option>
          </select>
          <br />

          <!-- Checkboxes -->
          <label for="">Preffered Contact:</label>
          <br />

          <!-- Creates checkboxes for multiple choices -->
          <input type="checkbox" name="role1" id="role1" value="email" />
          <label for="role1">Email</label>
          <br />

          <input type="checkbox" name="role2" id="role2" value="phone" />
          <label for="role2">Phone Package:</label>
          <br />

          <input
            type="radio"
            name="phone_package"
            id="user-basic"
            value="basic"
          />
          <label for="user-basic" required>Basic</label>
          <br />

          <input
            type="radio"
            name="phone_package"
            id="user-premium"
            value="premium"
          />
          <label for="user-premium" required>Premium</label>
          <br />
          <br />

          <label for="message">Message</label>
          <br />
          <!-- Creates a larger text input -->
          <textarea
            name="message"
            id="message"
            cols="20"
            rows="5"
            required
          ></textarea>

          <br />
          <!-- Creates a button that will submit the form data -->

          <button type="submit">Send Inquiry</button>
          <br />

          <button type="reset">Reset</button>
        </form>
      </section>
    </main>
  </body>
</html>
